stages:
  - check
  - pages

ansible_lint:
  stage: check
  script:
    - ansible-lint --offline configure-instance.yml
    - ansible-lint --offline deploy-database.yml
    - ansible-lint --offline deploy-instance.yml
    - ansible-lint --offline deploy-webapp.yml
    - ansible-lint --offline hardening-instance.yml

trigger_pages:
  stage: pages
  trigger:
    project: ansible-ssa/pages
    branch: main
  only:
    - main
